Page MenuHomePhabricator

Turn Flow on for Catalan's Viquipèdia talk namespace
Closed, ResolvedPublic

Description

Our goal for the end of June is to have Flow on a whole namespace on one of the WPs.

Catalan is excited and happy with Flow. They'll be using Flow on their 5 Village pump (La taverna) pages soon (DONE), and they'd like Flow on the administrator noticeboards, once we've got the ability to hide resolved topics.

We'll need to talk some more with the community about blockers for full namespace deployment. This ticket tracks the known blockers.

The first namespace proposed by the ca.wiki community is Viquiprojecte_Discussió. The next candidate proposed is Viquipèdia_Discussió. The second namespace can be migrated to Flow only after leaving enough time for testing the first migration, and only when the new blockers found (if any) have been solved.

Related Objects

StatusAssignedTask
ResolvedDannyH
ResolvedSBisson
ResolvedSBisson
ResolvedSBisson
Resolvedmatthiasmullie
DuplicateNone
ResolvedSBisson
ResolvedCatrope
ResolvedLegoktm
DuplicateNone
Resolvedmatthiasmullie
Resolved Mattflaschen-WMF
ResolvedEBernhardson
ResolvedCatrope
ResolvedSBisson

Event Timeline

DannyH created this task.May 14 2015, 7:14 PM
DannyH raised the priority of this task from to High.
DannyH updated the task description. (Show Details)
DannyH moved this task to Ready for next sprint on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2015, 7:14 PM

They want it on all of Viquipèdia_Discussió/Wikipedia_talk, and a selection of Viquipèdia/Wikipedia NS pages, right?

Or do they just mean all the Viquipèdia pages that are used for discussion (probably a much smaller group).

All of Viquipèdia would include things like https://ca.wikipedia.org/wiki/Viquip%C3%A8dia:P%C3%A0gina_protegida.

Does this also include switching the namespace to Flow with wgFlowOccupyNamespaces (I would assume yes)? We wouldn't want to do that for Viquipèdia (should be fine for Viquipèdia Discussió if consensus is there) (if we did it for Viquipèdia, you wouldn't be able to create new policy, etc. pages there).

DannyH renamed this task from Turn Flow on for Catalan's Viquipèdia namespace (quarterly goal, tracking) to Turn Flow on for Catalan's Viquipèdia talk namespace (quarterly goal, tracking).May 14 2015, 10:26 PM
DannyH set Security to None.

Yes, you're right -- I should have said Wikipedia talk. My goal is for us to switch the Wikipedia talk namespace, plus enabling on the discussion pages that are in the Wikipedia namespace, like the village pumps and admin noticeboard.

I still need to talk to the community some more -- I haven't popped the big question yet, because I want to have the remaining La taverna pages converted first. Hopefully soon. :)

I looked at the use of WP talk vs WP pages...

There's about 1600 existing pages in WP talk, but they're not used much. Maybe 50 edits/month. The most used is Image of the day discussions, and some proposals for Quality Article status.

There's 10 discussion pages in the WP namespace, which are the big ones we have to get right. 5 of them are La taverna (village pump) pages that are Flow (or will be soon), so we're halfway there. :)

The most important pages in the WP namespace are the Admin noticeboard, and the Deleted pages/Proposals. Those are the pages that need to be able to hide resolved topics.

So -- the goal is:

  • Hide resolved topics (for Admin noticeboard & Deleted pages/proposals)
  • Edit patrolling (for everything)
  • Bugs identified by CA people as important
  • and I'll see if anything else comes up when we talk about it

Example links:

WP talk: Image of the day -- https://ca.wikipedia.org/wiki/Viquip%C3%A8dia_Discussi%C3%B3:Imatge_del_dia

WP:La taverna/Help -- https://ca.wikipedia.org/wiki/Viquip%C3%A8dia:La_taverna/Ajuda

WP:Admin noticeboard -- https://ca.wikipedia.org/wiki/Viquip%C3%A8dia:Petici%C3%B3_als_administradors

WP:Deleted pages/Proposals -- https://ca.wikipedia.org/wiki/Viquip%C3%A8dia:Esborrar_p%C3%A0gines/Propostes

I have asked the ca.wiki community about the namespace they will to move to Flow at https://ca.wikipedia.org/wiki/Topic:Si31dl2puhnj6pcu

Question, is it an option to include T91537 to the mix, converting existing wikitext discussions to Flow instead of archiving them still as wikitext?

Fantastic. It looks like people are suggesting a couple different possibilities, unless Googe Translate is leading me astray.

Unfortunately, we're not going to be able to convert wikitext discussions into Flow posts. There are too many things that could happen in a single wikitext edit. A very patient human could walk through the page history and assign the correct attribution to a particular block of text, but I think it's unlikely that a script could do it with enough accuracy that it would be worthwhile.

Erik's idea in T91537 is perfect for a hackathon project -- after a few focused days, you either come up with something astonishing, or you throw it all away. I'm not sure what Erik decided to work on at the Lyon hackathon instead.

Since Viquiprojectes_Discussió and Viquipèdia_Discussió have actually quite low traffic in their discussion pages, maybe an option is to convert... both. I don't see any strong opinions in the discussion, and I'm seeing more impatience to move forward instead.

/me is tempted to start proposing User_talk, but I won't do it until you think it is ripe mature- and feature-wise.

Yeah, one namespace is a minimum goal, not a maximum. :) We can roll out on the whole wiki, if you guys are into it.

We've gotten to the point where I think Flow is a good experience, and can be used in place of wikitext pages for any average person-to-person or group discussions.

There are a couple of missing pieces that would factor into a namespace deployment, depending on how much the CA community uses them. We don't currently have a collaboration space that's part of a conversation, so there isn't a space for a group-editable table or checklist. On some wikis, that's necessary for a Good Article review, so that could be a problem for article talk pages. Flow also doesn't have anything special to support workflows like Articles for deletion nominations, or a request for unblocking process. We're going to build those, but they're probably about six months away.

If life isn't that complicated on Catalan, and people can get along without a collaboration space or workflow support, then we can roll out anywhere you like. What do you think you'll need?

Collaboration pages like nominations for FA or AfD, or request pages with special workflow, are normally in the subject namespace. We should review if there is any such page to be moved from talk to subject namespace. Futhermore, I assume migration to Flow will be deployed on base talk pages, not subpages. We should review to unify talk subpages to its base talk page. Then, it will be helful to have redirects on all talk subpages to avoid creating them in the future.

/me is tempted to start proposing User_talk, but I won't do it until you think it is ripe mature- and feature-wise.

Probably wise to wait for T67119: Implement Flow support in Pywikibot. Also, if there are any on-wiki scripts that post user warnings (think https://en.wikipedia.org/wiki/Wikipedia:Twinkle, etc.) or other topics to talk pages, they need to adopt MessagePoster.

Restricted Application added a project: Notice. · View Herald TranscriptJun 4 2015, 4:14 PM
Jdforrester-WMF moved this task from Unscheduled to Not soon on the Roadmap board.Jun 4 2015, 4:14 PM
DannyH moved this task from Not soon to July 2015 on the Roadmap board.Jun 4 2015, 10:43 PM
DannyH moved this task from July 2015 to June 2015 on the Roadmap board.

I think in practice it is a blocking task. @Vriullop had to check manually Viquipèdia_Discussió and Viquiprojectes_Discussió namespaces searching for subpages with discussions, which is definitely not a scalable approach. Then again, it looks like Vriullop has taken care of this problem in these two ca.wiki namespaces, so maybe not literally a blocker anymore?

In practice, I'd prefer to have redirects on non-existent talk subpages and do not enable Flow on existing talk subpages. We are reviewing talk subpages for mark as archived, merge or move to a root page. Anyway there is an ongoing discussion.

gpaumier moved this task from Backlog to Triaged on the Notice board.Jun 11 2015, 4:48 PM
Qgil updated the task description. (Show Details)Jun 18 2015, 7:22 AM
greg moved this task from June 2015 to June 29-July 3 on the Roadmap board.Jun 18 2015, 4:09 PM
gpaumier moved this task from Triaged to Archive on the Notice board.Jun 26 2015, 8:26 PM
Elitre added a subscriber: Elitre.Jun 29 2015, 12:37 PM

Catalan is good to go -- we can enable on the Viquipèdia Discussió namespace. Let's do it.

In addition to the maintenance script and reverting rEFLW1f99880d9e1b: Temporarily make subpages in occupied namespaces non-Flow again, we also need to test this on Beta Cluster.

Change 221999 had a related patch set uploaded (by Catrope):
Make project talk namespace on cawiki Flow-occupied

https://gerrit.wikimedia.org/r/221999

Matt is starting the conversion script now

Change 221999 merged by jenkins-bot:
Make project talk namespace on cawiki Flow-occupied

https://gerrit.wikimedia.org/r/221999

Conversion script run, with no apparent issues. Log at https://people.wikimedia.org/~mattflaschen/2015_06_30_Catalan_Project_talk.log . (Note, the log is over a megabyte).

DannyH closed this task as Resolved.Jul 2 2015, 4:38 PM
DannyH claimed this task.

Done!

Phabricator_maintenance renamed this task from Turn Flow on for Catalan's Viquipèdia talk namespace (quarterly goal, tracking) to Turn Flow on for Catalan's Viquipèdia talk namespace.Aug 13 2016, 9:15 PM